package demo;

import java.util.Iterator;
import org.w3c.dom.Node;
import org.apache.commons.jxpath.JXPathContext;
import org.apache.commons.jxpath.Pointer;

import demo.data.*;
import demo.builder.*;

import org.enhydra.xml.io.DOMFormatter;
import org.enhydra.xml.io.OutputOptions;

public class Test2
{
    public static void main (String args[]) {

	Test2HTML testHTML = new Test2HTML();
	JXPathContext context = JXPathContext.newContext(testHTML.getDocument());

	String path = null;
	String value = null;
	if (args.length > 0) {
	    path = args[0];
	    if (args.length > 1) {
		value = args[1];
	    }
	    for (Iterator iter = context.iteratePointers(path); iter.hasNext() ; ) {
		Pointer pointer = (Pointer)iter.next();
		pointer.setValue (value);
	    }

	    
	    OutputOptions oo = DOMFormatter.getDefaultOutputOptions(testHTML.getDocument());
	    DOMFormatter df = new DOMFormatter(oo);
	    df.getOutputOptions().setPrettyPrinting(true);
	    try {
		df.write(testHTML.getDocument(), System.out);
	    } catch (Exception e) {
		e.printStackTrace();
	    }
	}

    }
}
