package demo.data;

import java.util.ArrayList;
import org.w3c.dom.Document;

public class Order
{
    private int id;
    private ArrayList items;
    private Document note;

    public Order (int aId) {
	id = aId;
	items = new ArrayList();
    }

    public int getId() {
	return id;
    }

    public void addItem (Item aItem) {
	items.add(aItem);
    }

    public Item[] getItems() {
	Object objs[] = items.toArray();	
	Item items[] = new Item[objs.length];
	System.arraycopy(objs, 0, items, 0, items.length);
	return items;
    }

    public Document getNote() {
	return note;
    }
    
    public void setNote (Document aNote) {
	note = aNote;
    }
}

